package de.ivu.elect.business.stimmeingabe.control.replikation;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import de.ivu.elect.business.system.entity.BackgroundServiceEvent;
import de.ivu.elect.business.system.entity.SystemLogQuelle;

/**
 *  on 09.07.2015.
 */
public class StimmeingabeImportierenEvent implements BackgroundServiceEvent {

  private static final long serialVersionUID = 1L;

  @Inject
  transient Event<StimmeingabeImportierenEvent> event;

  public void sendChangeEvent() {
    event.fire(new StimmeingabeImportierenEvent());
  }

  @Override
  public void sendEvent() {
    sendChangeEvent();
  }

  @Override
  public SystemLogQuelle getServiceName() {
    return SystemLogQuelle.STIMMEINGABE_DATEIEN_IMPORTER;
  }

}
